ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Iface.Recomp.Binary

Contents

- Computing fingerprints

Description

Computing fingerprints of values serializable with GHC's "Binary" module.

Synopsis

- fingerprintBinMem :: WriteBinHandle -> IO Fingerprint
- computeFingerprint :: Binary a => (WriteBinHandle -> Name -> IO ()) -> a -> IO Fingerprint
- putNameLiterally :: WriteBinHandle -> Name -> IO ()

# Computing fingerprints

fingerprintBinMem :: WriteBinHandle -> IO Fingerprint Source #

computeFingerprint :: Binary a => (WriteBinHandle -> Name -> IO ()) -> a -> IO Fingerprint Source #

putNameLiterally :: WriteBinHandle -> Name -> IO () Source #

Used when we want to fingerprint a structure without depending on the fingerprints of external Names that it refers to.